R4 SDHC "Renovation" v2.10T firmware problem

Discussion in 'R4 DS' started by Mahglazzies, May 23, 2010.

May 23, 2010
    • Newcomer

    Mahglazzies New Member

    Member Since:
    May 23, 2010
    Message Count:
    5
    Location:
    Grande Prairie, AB
    Country:
    Canada
    So I've ordered an R4 card from r4card.org before I did ample research on flashcarts and the like, and now I'm stuck with something called an R4 SDHC Renovation. It's the black card with the gold label with a red typeface, donning the website www.r4sdhc.com.

    (Aka this: [IMG]

    After discovering that the R4 team has been disbanded for some time now and that most if not all R4's on the market these days are clones, I decided I'd try and make the best out of my R4 anyway. However, the v2.10T firmware is not working for me. Instead, it displays the infamous "Loading..." freeze screen. It's supposed to take this firmware: http://www.r4sdhc.com/r4tsdhc.asp and as previously mentioned, it doesn't work. I know I'm putting it on the card correctly so that's not the issue.

    However, when I try to use a DIFFERENT R4 SDHC firmware (v 1.34, which is here: http://www.r4sdhc.com/r4sdhc.asp) it miraculously works. While that is a minor relief, I'd still like to be able to use the v2.10T firmware.

    Does anybody know what the problem may be? I've even e-mailed the humble staff at r4card.org and an Engrish gentleman named "Pat" politely referred me to the aforementioned website, telling me to get the exact same firmware I'm having problems with.

    Any solutions, or am I going to have to stick with the v 1.34 firmware? Should I just take a hammer to my R4 Renovation and invest in an Edge or Supercard DSTWO or what?

    Thanks in advance.

    EDIT: Or is there another firmware of some type available that I should consider instead for my lovely clone? That would be acceptable too.
    • Member

    Leonidas New Member

    Member Since:
    Aug 27, 2009
    Message Count:
    479
    Location:
    sLOVEnia
    Country:
    Slovenia
    It's too bad how many people realize the R4 clone problem after they have already bought it. Anyway, make sure 2.10T kernel that you got from the site is properly installed. If it doesn't work, try to compare with the working 1.34 version and rename the files. If you cannot make the new kernel work then you are kinda stuck, as this particular cart has problems with other kernels, although I've heard YS Menu works (for some; it's user unfriendly and I've never been able to set it up properly). It's not entirely unusable, as from my experience 1.34 can still run games up to #3800 without problems, so you can use it for older games and use DSTwo or Acekard 2i for newer games.
    • Newcomer

    Mahglazzies New Member

    Member Since:
    May 23, 2010
    Message Count:
    5
    Location:
    Grande Prairie, AB
    Country:
    Canada
    Thanks, I'll give that a try. I never thought about that to be honest.

    You're right though, it is a mighty shame. I mean sure, it is working with 1.34, but I'd much rather 2.10T (not that I know anything about that particular version though I imagine it couldn't be worse).

    I'm definitely going to pick up a DSTwo when I get paid at the end of the month but using this card for older games is a mighty good idea if things don't pan out the way I hope they do.

    I'll let you know. Thanks again.
    • Newcomer

    electric_voodoo New Member

    Member Since:
    Jan 9, 2011
    Message Count:
    1
    Country:
    United States
    • Newcomer

    close012 New Member

    Member Since:
    Dec 26, 2013
    Message Count:
    2
    Country:
    Singapore

    I think the link is broken. Do you have any other website that has the files for it?

Share This Page